Bug 65143 - GCC seg faults during RPM build process
GCC seg faults during RPM build process
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-18 01:50 EDT by Gawain Lynch
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 15:30:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gawain Lynch 2002-05-18 01:50:00 EDT
Description of Problem:
When attempting to do a "rpm --rebuild" on any of the current 7.3 errata
packages (kernel/mozilla/evolution), all fail in a similar fashion -- a
segmentation fault in gcc

Version-Release number of selected component (if applicable):
kernel-2.4.18-4
gcc-2.96-110
glibc-2.2.5-34

How Reproducible:


Steps to Reproduce:
1. rpm --rebuild kernel-2.4.18-4.src.rpm

OR

1. rpm -i kernel-2.4.18-4.src.rpm
2. rpm -bb --target i586 kernel-2.4.spec

Actual Results:
Exit with errors (example below)

Expected Results:
Build RPMS

Additional Information:
	
ioctl.c:1285:18: warning: #warning long delay with io_request_lock helt
ioctl.c:1464:10: warning: #warning race
ktti.c: In function `ktti_write_regr':
ktti.c:35: Internal compiler error in emit_move_insn_1, at expr.c:2830
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [ktti.o] Error 2
make[2]: *** [_modsubdir_paride] Error 2
make[1]: *** [_modsubdir_block] Error 2
make: *** [_mod_drivers] Error 2
make: *** Waiting for unfinished jobs....
error: Bad exit status from /var/tmp/rpm-tmp.51381 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.51381 (%build)
Comment 1 Gawain Lynch 2002-05-18 02:02:55 EDT
This PC is actually an SMP machine running the SMP kernel
Comment 2 Jakub Jelinek 2002-05-21 07:49:57 EDT
Is this reproduceable, always on the same file same error?
If yes, please provide preprocessed source.
Comment 3 Gawain Lynch 2002-05-26 17:01:19 EDT
It is reproducable here, but not on the same file compilation point each time.

As for sources, I am just using the RH errata SRPMS.  Also the machine is stock
RH 7.3.
Comment 4 Alan Cox 2002-12-15 15:30:03 EST
Hardware

Note You need to log in before you can comment on or make changes to this bug.